## com.puppycrawl.tools.checkstyle.checks
Class UncommentedMainCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.UncommentedMainCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class UncommentedMainCheck

extends Check

Detects uncommented main methods. Basically detects any main method, since if it is detectable that means it is uncommented.

     <module name="UncommentedMain"/>

Author:
  Michael Yui, o_sukhodolsky

Constructor Summary
`UncommentedMainCheck()`

Method Summary
`void` `beginTree(DetailAST aRootAST)` Called before the starting to process a tree.
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`int[]` `getRequiredTokens()` The tokens that this check must be registered for.
`void` `leaveToken(DetailAST aAst)` Called after all the child nodes have been process.
`void` `setExcludedClasses(String aExcludedClasses)` Set the excluded classes pattern.
`void` `visitToken(DetailAST aAst)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UncommentedMainCheck

    public UncommentedMainCheck()

Method Detail

### setExcludedClasses

    public void setExcludedClasses(String aExcludedClasses)
                            throws org.apache.commons.beanutils.ConversionException

  Set the excluded classes pattern.

  Parameters:
    `aExcludedClasses` - a `String` value
  Throws:
    `org.apache.commons.beanutils.ConversionException` - unable to parse aExcludedClasses

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### getRequiredTokens

    public int[] getRequiredTokens()

  Description copied from class: `Check`
  The tokens that this check must be registered for.

  Overrides:
    `getRequiredTokens` in class `Check`
  Returns:
    the token set this must be registered for.
  See Also:
    `TokenTypes`

### beginTree

    public void beginTree(DetailAST aRootAST)

  Description copied from class: `Check`
  Called before the starting to process a tree. Ideal place to initialise information that is to be collected whilst processing a tree.

  Overrides:
    `beginTree` in class `Check`
  Parameters:
    `aRootAST` - the root of the tree

### leaveToken

    public void leaveToken(DetailAST aAst)

  Description copied from class: `Check`
  Called after all the child nodes have been process.

  Overrides:
    `leaveToken` in class `Check`
  Parameters:
    `aAst` - the token leaving

### visitToken

    public void visitToken(DetailAST aAst)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAst` - the token to process

Copyright © 2001-2011. All Rights Reserved.